Bug 160907

Summary: [PATCH] www/wordpress: conflicts with german/wordpress
Product: Ports & Packages Reporter: TAKATSU Tomonari <tota>
Component: Individual Port(s)Assignee: TAKATSU Tomonari <tota>
Status: Closed FIXED    
Severity: Affects Only Me CC: ychsiao
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
wordpress_WWWDIR.patch
none
file.diff none

Description TAKATSU Tomonari freebsd_committer 2011-09-22 13:50:06 UTC
www/wordpress conflicts with german/wordpress.

Port maintainer (ychsiao@ychsiao.org) is cc'd.

Generated with FreeBSD Port Tools 0.99

Fix: There are two patches.
1) define WWWDIR to avoid conflict(wordpress_WWWDIR.patch).
2) set CONFLICTS(wordpress_CONFLICTS.patch).
We can select 1) or 2).
How-To-Repeat: 
cd /usr/ports/www/wordpress
make install clean

cd /usr/ports/german/wordpress
make install clean

cd /usr/ports/www/wordpress
make deinstall

===>  Deinstalling for www/wordpress
===>   Deinstalling wordpress-3.2.1,1
pkg_delete: '/usr/local/www/wordpress/wp-admin/images/logo-login.png' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-admin/images/wordpress-logo.png' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-admin/includes/upgrade.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-admin/setup-config.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-config-sample.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/functions.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/load.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/ms-load.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/ms-settings.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/version.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-includes/wp-db.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress/wp-load.php' fails original MD5 checksum - deleted anyway.
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content/themes/twentyeleven/languages'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content/themes/twentyeleven'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content/themes/twentyten/languages'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content/themes/twentyten'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content/themes'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress/wp-content'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress'
pkg_delete: couldn't entirely delete package (perhaps the packing list is incorrectly specified?)
Comment 1 Edwin Groothuis freebsd_committer 2011-09-22 13:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-09-22 13:50:20 UTC
Maintainer of www/wordpress,

Please note that PR ports/160907 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160907

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-09-22 13:50:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 TAKATSU Tomonari freebsd_committer 2011-10-01 14:13:03 UTC
Hi miwi@,

How do you think about this PR ports/160907 conflict issue?
I ask you because miwi@ is the maintainer of german/wordpress and
I have not got a response from ychsiao@chsiao.org who is the maintainer of
www/wordpress yet.

Thanks in advance,

-- 
TAKATSU Tomonari
Comment 5 ychsiao 2011-10-04 10:41:11 UTC
Hi,
I suggest that use set CONFLICTS

BR,
ychsiao

* Edwin Groothuis <edwin@FreeBSD.org> [110922 20:50]:
> Maintainer of www/wordpress,
>
> Please note that PR ports/160907 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160907
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 6 TAKATSU Tomonari freebsd_committer 2011-10-04 21:56:26 UTC
On Sat, Oct 1, 2011 at 10:13 PM, TAKATSU Tomonari <tota@freebsd.org> wrote:
> Hi miwi@,
>
> How do you think about this PR ports/160907 conflict issue?
> I ask you because miwi@ is the maintainer of german/wordpress and
> I have not got a response from ychsiao@chsiao.org who is the maintainer of
> www/wordpress yet.
>
> Thanks in advance,

On Tue, Oct 4, 2011 at 6:50 PM, Yuan-Chung Hsiao <ychsiao@ychsiao.org> wrote:
> The following reply was made to PR ports/160907; it has been noted by GNATS.
>
> From: Yuan-Chung Hsiao <ychsiao@ychsiao.org>
> To: bug-followup@FreeBSD.org
> Cc:
> Subject: Re: ports/160907: [PATCH] www/wordpress: conflicts with german/wordpress
> Date: Tue, 4 Oct 2011 17:41:11 +0800
>
>  Hi,
>  I suggest that use set CONFLICTS
>
>  BR,
>  ychsiao

Hi,

Yuan-Chung Hsiao
Thanks for your reply.

miwi@
If you approve it, I will commit wordpress_CONFLICTS.patch to set
CONFLICTS between
www/wordpress and german/wordpress.

Thanks in advance,


-- 
TAKATSU Tomonari
Comment 7 dfilter service freebsd_committer 2011-10-16 06:21:14 UTC
tota        2011-10-16 05:21:00 UTC

  FreeBSD ports repository

  Modified files:
    german/wordpress     Makefile 
    www/wordpress        Makefile 
  Log:
  - Register CONFLICTS_INSTALL between www/wordpress and german/wordpress [1]
  - Add CONFLICTS_INSTALL with upcoming japanese/wordpress [2]
  
  PR:             ports/160907 [1], ports/160172 [2]
  Submitted by:   tota (myself) [1]
  Approved by:    Yuan-Chung Hsiao (maintainer), miwi@ (timeout > 2 weeks) [1]
  
  Revision  Changes    Path
  1.43      +2 -0      ports/german/wordpress/Makefile
  1.73      +2 -0      ports/www/wordpress/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 TAKATSU Tomonari freebsd_committer 2011-10-16 06:25:10 UTC
State Changed
From-To: feedback->closed

Committed.